
QGIS Application - Bug report #12886

delete part has no effect on single geometries

2015-06-05 12:11 AM - Denis Rouzaud

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20976

Description

delete part does not delete a part anymore of a single geometry (handy for NULL geometries)

although this work:

    -  add part (so a second, do not commit)

    -  delete part (on it)

    -  delete part (the first one)

    -  commit

=> now it has a NULL geometry

I think this used to work before.

Anyhow, if this is not available the icon of the map tool should not be active...

Associated revisions

Revision df31fc0f - 2015-06-14 01:13 PM - Jürgen Fischer

digitizing: disable split parts on single part geometries and allow adding and removing only part of single part features (fixes #12886, refs #12799)

History

#1 - 2015-06-05 02:18 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#2 - 2015-06-05 12:06 PM - Giovanni Manghi

- Target version set to Future Release - High Priority

#3 - 2015-06-09 12:32 AM - Marco Hugentobler

This should work with current master branch. Could you check?

#4 - 2015-06-11 08:01 AM - Marco Hugentobler

- Status changed from Open to Feedback

#5 - 2015-06-14 04:18 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"df31fc0f43c8789f6d0d60c9db3982c569814d48".
